package ru.dbotthepony.mc.otm.datagen.tags

import ru.dbotthepony.mc.otm.registry.game.MItems
import ru.dbotthepony.mc.otm.registry.MRegistry

fun addDyeTags(tagsProvider: TagsProvider) {
	tagsProvider.addToDyeTags(MRegistry.CARGO_CRATES.allItems)

	tagsProvider.addToDyeTags(MRegistry.INDUSTRIAL_GLASS.allItems)
	tagsProvider.addToDyeTags(MRegistry.INDUSTRIAL_GLASS_PANE.allItems)

	tagsProvider.addToDyeTags(MRegistry.DECORATIVE_CRATE.items)

	tagsProvider.addToDyeTags(MItems.TRITANIUM_DOOR)
	tagsProvider.addToDyeTags(MItems.TRITANIUM_TRAPDOOR)
	tagsProvider.addToDyeTags(MRegistry.TRITANIUM_PRESSURE_PLATE.allItems)

	tagsProvider.addToDyeTags(MRegistry.FLOOR_TILES_STAIRS.items)
	tagsProvider.addToDyeTags(MRegistry.TRITANIUM_STAIRS.items)

	tagsProvider.addToDyeTags(MRegistry.TRITANIUM_SLAB.items)
	tagsProvider.addToDyeTags(MRegistry.FLOOR_TILES_SLAB.items)
	tagsProvider.addToDyeTags(MRegistry.UNREFINED_FLOOR_TILES.items)

	tagsProvider.addToDyeTags(MRegistry.TRITANIUM_WALL.items)

	tagsProvider.addToDyeTags(MItems.ANDROID_STATION)
	tagsProvider.addToDyeTags(MItems.ENERGY_SERVO)
	tagsProvider.addToDyeTags(MItems.MATTER_DECOMPOSER)
	tagsProvider.addToDyeTags(MItems.MATTER_CAPACITOR_BANK)
	tagsProvider.addToDyeTags(MItems.BATTERY_BANK)
	tagsProvider.addToDyeTags(MItems.MATTER_SCANNER)
	tagsProvider.addToDyeTags(MItems.MATTER_PANEL)
	tagsProvider.addToDyeTags(MItems.MATTER_REPLICATOR)
	tagsProvider.addToDyeTags(MItems.MATTER_BOTTLER)
	tagsProvider.addToDyeTags(MItems.ENERGY_COUNTER)
	tagsProvider.addToDyeTags(MItems.CHEMICAL_GENERATOR)
	tagsProvider.addToDyeTags(MItems.PLATE_PRESS)
	tagsProvider.addToDyeTags(MItems.TWIN_PLATE_PRESS)
	tagsProvider.addToDyeTags(MItems.MATTER_RECYCLER)

	tagsProvider.addToDyeTags(MItems.POWERED_FURNACE)
	tagsProvider.addToDyeTags(MItems.POWERED_SMOKER)
	tagsProvider.addToDyeTags(MItems.POWERED_BLAST_FURNACE)

	tagsProvider.addToDyeTags(MItems.DRIVE_VIEWER)
	tagsProvider.addToDyeTags(MItems.ITEM_MONITOR)
	tagsProvider.addToDyeTags(MItems.STORAGE_POWER_SUPPLIER)

	tagsProvider.addToDyeTags(MItems.COBBLESTONE_GENERATOR)
	tagsProvider.addToDyeTags(MItems.ESSENCE_STORAGE)
	tagsProvider.addToDyeTags(MItems.MATTER_RECONSTRUCTOR)
	tagsProvider.addToDyeTags(MItems.ANDROID_CHARGER)
}
